Package: geb.content

## [Groovy] Class PageContentTemplateFactoryDelegate

- geb.content.PageContentTemplateFactoryDelegate

-     class PageContentTemplateFactoryDelegate
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PageContentTemplateFactoryDelegate(PageContentTemplate template)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `methodMissing(String name, Object args)`
    `` | `Object` | `module(Map params, Class<? extends Module> moduleClass)`
    `` | `Object` | `module(Class<? extends Module> moduleClass, Object container)`
    `` | `Object` | `module(Map params, Class<? extends Module> moduleClass, Navigator base)`
    `` | `Object` | `moduleList(Map params, Class moduleClass, Navigator navigator)`
    `` | `Object` | `moduleList(Class moduleClass, Navigator navigator)`
    `` | `Object` | `moduleList(Map params, Class moduleClass, Navigator navigator, Object index)`
    `` | `Object` | `moduleList(Class moduleClass, Navigator navigator, Object index)`
    `` | `Object` | `propertyMissing(String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PageContentTemplateFactoryDelegate(PageContentTemplate template)

  - ### Method Detail

    - #### Object methodMissing(String name, Object args)

    - #### Object module(Map params, Class<? extends Module> moduleClass)

    - #### Object module(Class<? extends Module> moduleClass, Object container)

    - #### Object module(Map params, Class<? extends Module> moduleClass, Navigator base)

    - #### Object moduleList(Map params, Class moduleClass, Navigator navigator)

    - #### Object moduleList(Class moduleClass, Navigator navigator)

    - #### Object moduleList(Map params, Class moduleClass, Navigator navigator, Object index)

    - #### Object moduleList(Class moduleClass, Navigator navigator, Object index)

    - #### Object propertyMissing(String name)